更新AWD入库任务
POST
/amzStaServer/openapi/awd/inbound-plan/updateInboundPlan接口信息
| API Path | 请求协议 | 请求方式 | [令牌桶容量]() |
|---|---|---|---|
/amzStaServer/openapi/awd/inbound-plan/updateInboundPlan | HTTPS | POST | 1 |
请求参数
awdDeliveredGoodsBOSarray<object>必填隐藏子属性
boxQuantitystring必填expirationstringheightnumber必填labelOwnerstringlengthnumber必填lengthUnitstring必填mskustring必填prepCategorystringprepOwnerstringquantityInBoxstring必填weightnumber必填weightUnitstring必填widthnumber必填awdShippingAddressBOobject必填隐藏子属性
addressLine1string必填addressLine2stringcitystring必填countryCodestring必填phoneNumberstring必填postalCodestring必填shipperNamestring必填stateOrProvinceCodestring必填zonestringcreateBystringdestinationRegionstringorderIdstring必填remarkstringsidinteger必填请求示例
json
{
"awdDeliveredGoodsBOS": [
{
"boxQuantity": "5",
"expiration": "2025-12-31",
"height": 10.50,
"labelOwner": "SELF",
"length": 15.75,
"lengthUnit": "INCHES",
"msku": "ABC123",
"prepCategory": "NONE",
"prepOwner": "SELF",
"quantityInBox": "20",
"weight": 12.30,
"weightUnit": "POUNDS",
"width": 8.25
}
],
"awdShippingAddressBO": {
"addressLine1": "123 Main St",
"addressLine2": "Suite 100",
"city": "Seattle",
"countryCode": "US",
"phoneNumber": "1234567890",
"postalCode": "98101",
"shipperName": "Example Shipper",
"stateOrProvinceCode": "WA",
"zone": "Downtown"
},
"createBy": "api_user_123",
"destinationRegion": "us-west",
"orderId": "STA20230715001",
"remark": "Fragile items, handle with care",
"sid": 123456789
}
返回结果
Json Object
codeintegerdataobject隐藏子属性
orderIdstringmessagestringerror_detailsarray<any>request_idarray<any>response_timestring返回成功示例
json
{
"code": 0,
"data": {
"orderId": "AWD20230715001"
},
"message": "Success",
"request_id": "a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6",
"response_time": "2023-07-15T14:30:45Z"
}